From 3bfc312896f1a1a573c25cd2c59b1262f6a5f354 Mon Sep 17 00:00:00 2001
From: Justin Pryzby <pryzbyj@telsasoft.com>
Date: Fri, 29 Mar 2019 19:52:22 -0500
Subject: [PATCH v3 04/12] Consistent spelling: "timestamp"

---
 doc/src/sgml/config.sgml                      | 14 ++++++-------
 doc/src/sgml/datatype.sgml                    |  6 +++---
 doc/src/sgml/ecpg.sgml                        |  4 ++--
 doc/src/sgml/func.sgml                        | 30 +++++++++++++--------------
 doc/src/sgml/logicaldecoding.sgml             |  4 ++--
 doc/src/sgml/plpgsql.sgml                     |  2 +-
 doc/src/sgml/ref/pgbench.sgml                 |  6 +++---
 doc/src/sgml/replication-origins.sgml         |  2 +-
 doc/src/sgml/trigger.sgml                     |  2 +-
 doc/src/sgml/uuid-ossp.sgml                   |  2 +-
 src/backend/utils/misc/guc.c                  |  4 ++--
 src/backend/utils/misc/postgresql.conf.sample |  2 +-
 src/include/catalog/pg_control.h              |  4 ++--
 src/interfaces/ecpg/pgtypeslib/timestamp.c    |  4 ++--
 14 files changed, 43 insertions(+), 43 deletions(-)

diff --git a/doc/src/sgml/config.sgml b/doc/src/sgml/config.sgml
index 54b91d3..e919e2c 100644
--- a/doc/src/sgml/config.sgml
+++ b/doc/src/sgml/config.sgml
@@ -3344,7 +3344,7 @@ restore_command = 'copy "C:\\server\\archivedir\\%f" "%p"'  # Windows
       </term>
       <listitem>
        <para>
-        This parameter specifies the time stamp up to which recovery
+        This parameter specifies the timestamp up to which recovery
         will proceed.
         The precise stopping point is also influenced by
         <xref linkend="guc-recovery-target-inclusive"/>.
@@ -4171,7 +4171,7 @@ ANY <replaceable class="parameter">num_sync</replaceable> ( <replaceable class="
        <para>
         It is possible that the replication delay between servers exceeds the
         value of this parameter, in which case no delay is added.
-        Note that the delay is calculated between the WAL time stamp as written
+        Note that the delay is calculated between the WAL timestamp as written
         on master and the current time on the standby. Delays in transfer
         because of network lag or cascading replication configurations
         may reduce the actual wait time significantly. If the system
@@ -6255,7 +6255,7 @@ local0.*    /var/log/postgresql
          readability in log files.
          This parameter can only be set in the <filename>postgresql.conf</filename>
          file or on the server command line. The default is
-         <literal>'%m [%p] '</literal> which logs a time stamp and the process ID.
+         <literal>'%m [%p] '</literal> which logs a timestamp and the process ID.
 
          <informaltable>
           <tgroup cols="3">
@@ -6334,7 +6334,7 @@ local0.*    /var/log/postgresql
             </row>
             <row>
              <entry><literal>%s</literal></entry>
-             <entry>Process start time stamp</entry>
+             <entry>Process start timestamp</entry>
              <entry>no</entry>
             </row>
             <row>
@@ -6389,7 +6389,7 @@ FROM pg_stat_activity;
        <tip>
         <para>
          <application>Syslog</application> produces its own
-         time stamp and process ID information, so you probably do not want to
+         timestamp and process ID information, so you probably do not want to
          include those escapes if you are logging to <application>syslog</application>.
         </para>
        </tip>
@@ -6538,7 +6538,7 @@ log_line_prefix = '%m [%p] %q%u@%d/%a '
         This option emits log lines in comma-separated-values
         (<acronym>CSV</acronym>) format,
         with these columns:
-        time stamp with milliseconds,
+        timestamp with milliseconds,
         user name,
         database name,
         process ID,
@@ -7976,7 +7976,7 @@ SET XML OPTION { DOCUMENT | CONTENT };
       </term>
       <listitem>
        <para>
-        Sets the time zone for displaying and interpreting time stamps.
+        Sets the time zone for displaying and interpreting timestamps.
         The built-in default is <literal>GMT</literal>, but that is typically
         overridden in <filename>postgresql.conf</filename>; <application>initdb</application>
         will install a setting there corresponding to its system environment.
diff --git a/doc/src/sgml/datatype.sgml b/doc/src/sgml/datatype.sgml
index fc300f6..0890106 100644
--- a/doc/src/sgml/datatype.sgml
+++ b/doc/src/sgml/datatype.sgml
@@ -2031,7 +2031,7 @@ MINUTE TO SECOND
     </indexterm>
 
      <para>
-      Valid input for the time stamp types consists of the concatenation
+      Valid input for the timestamp types consists of the concatenation
       of a date and a time, followed by an optional time zone,
       followed by an optional <literal>AD</literal> or <literal>BC</literal>.
       (Alternatively, <literal>AD</literal>/<literal>BC</literal> can appear
@@ -2159,12 +2159,12 @@ January 8 04:05:06 1999 PST
          <row>
           <entry><literal>infinity</literal></entry>
           <entry><type>date</type>, <type>timestamp</type></entry>
-          <entry>later than all other time stamps</entry>
+          <entry>later than all other timestamps</entry>
          </row>
          <row>
           <entry><literal>-infinity</literal></entry>
           <entry><type>date</type>, <type>timestamp</type></entry>
-          <entry>earlier than all other time stamps</entry>
+          <entry>earlier than all other timestamps</entry>
          </row>
          <row>
           <entry><literal>now</literal></entry>
diff --git a/doc/src/sgml/ecpg.sgml b/doc/src/sgml/ecpg.sgml
index d2dd96c..3c42c0a 100644
--- a/doc/src/sgml/ecpg.sgml
+++ b/doc/src/sgml/ecpg.sgml
@@ -1030,7 +1030,7 @@ struct varchar_var { int len; char arr[180]; } var;
      the pgtypes library.  The pgtypes library, described in detail
      in <xref linkend="ecpg-pgtypes"/> contains basic functions to deal
      with those types, such that you do not need to send a query to
-     the SQL server just for adding an interval to a time stamp for
+     the SQL server just for adding an interval to a timestamp for
      example.
     </para>
 
@@ -3622,7 +3622,7 @@ void PGTYPESdecimal_free(decimal *var);
       <term><literal>PGTYPESInvalidTimestamp</literal></term>
       <listitem>
        <para>
-        A value of type timestamp representing an invalid time stamp. This is
+        A value of type timestamp representing an invalid timestamp. This is
         returned by the function <function>PGTYPEStimestamp_from_asc</function> on
         parse error.
         Note that due to the internal representation of the <type>timestamp</type> data type,
diff --git a/doc/src/sgml/func.sgml b/doc/src/sgml/func.sgml
index bc2275c..d425731 100644
--- a/doc/src/sgml/func.sgml
+++ b/doc/src/sgml/func.sgml
@@ -5990,7 +5990,7 @@ SELECT regexp_match('abc01234xyz', '(?:(.*?)(\d+)(.*)){1,1}');
          <literal><function>to_char(<type>timestamp</type>, <type>text</type>)</function></literal>
         </entry>
         <entry><type>text</type></entry>
-        <entry>convert time stamp to string</entry>
+        <entry>convert timestamp to string</entry>
         <entry><literal>to_char(current_timestamp, 'HH12:MI:SS')</literal></entry>
        </row>
        <row>
@@ -6048,7 +6048,7 @@ SELECT regexp_match('abc01234xyz', '(?:(.*?)(\d+)(.*)){1,1}');
          <literal><function>to_timestamp(<type>text</type>, <type>text</type>)</function></literal>
         </entry>
         <entry><type>timestamp with time zone</type></entry>
-        <entry>convert string to time stamp</entry>
+        <entry>convert string to timestamp</entry>
         <entry><literal>to_timestamp('05&nbsp;Dec&nbsp;2000', 'DD&nbsp;Mon&nbsp;YYYY')</literal></entry>
        </row>
       </tbody>
@@ -7383,7 +7383,7 @@ SELECT regexp_match('abc01234xyz', '(?:(.*?)(\d+)(.*)){1,1}');
        <row>
         <entry><literal><function>isfinite(<type>timestamp</type>)</function></literal></entry>
         <entry><type>boolean</type></entry>
-        <entry>Test for finite time stamp (not +/-infinity)</entry>
+        <entry>Test for finite timestamp (not +/-infinity)</entry>
         <entry><literal>isfinite(timestamp '2001-02-16 21:28:30')</literal></entry>
         <entry><literal>true</literal></entry>
        </row>
@@ -7673,8 +7673,8 @@ SELECT regexp_match('abc01234xyz', '(?:(.*?)(\d+)(.*)){1,1}');
 </synopsis>
     This expression yields true when two time periods (defined by their
     endpoints) overlap, false when they do not overlap.  The endpoints
-    can be specified as pairs of dates, times, or time stamps; or as
-    a date, time, or time stamp followed by an interval.  When a pair
+    can be specified as pairs of dates, times, or timestamps; or as
+    a date, time, or timestamp followed by an interval.  When a pair
     of values is provided, either the start or the end can be written
     first; <literal>OVERLAPS</literal> automatically takes the earlier value
     of the pair as the start.  Each time period is considered to
@@ -7907,7 +7907,7 @@ SELECT EXTRACT(EPOCH FROM INTERVAL '5 days 3 hours');
 </screen>
 
        <para>
-        You can convert an epoch value back to a time stamp
+        You can convert an epoch value back to a timestamp
         with <function>to_timestamp</function>:
        </para>
 <screen>
@@ -8314,7 +8314,7 @@ SELECT date_trunc('hour', INTERVAL '3 days 02:47:33');
    <para>
     The <literal>AT TIME ZONE</literal> converts time
     stamp <emphasis>without time zone</emphasis> to/from
-    time stamp <emphasis>with time zone</emphasis>, and
+    timestamp <emphasis>with time zone</emphasis>, and
     <emphasis>time</emphasis> values to different time zones. <xref
     linkend="functions-datetime-zoneconvert-table"/> shows its variants.
    </para>
@@ -8336,7 +8336,7 @@ SELECT date_trunc('hour', INTERVAL '3 days 02:47:33');
          <literal><type>timestamp without time zone</type> AT TIME ZONE <replaceable>zone</replaceable></literal>
         </entry>
         <entry><type>timestamp with time zone</type></entry>
-        <entry>Treat given time stamp <emphasis>without time zone</emphasis> as located in the specified time zone</entry>
+        <entry>Treat given timestamp <emphasis>without time zone</emphasis> as located in the specified time zone</entry>
        </row>
 
        <row>
@@ -8344,7 +8344,7 @@ SELECT date_trunc('hour', INTERVAL '3 days 02:47:33');
          <literal><type>timestamp with time zone</type> AT TIME ZONE <replaceable>zone</replaceable></literal>
         </entry>
         <entry><type>timestamp without time zone</type></entry>
-        <entry>Convert given time stamp <emphasis>with time zone</emphasis> to the new time
+        <entry>Convert given timestamp <emphasis>with time zone</emphasis> to the new time
         zone, with no time zone designation</entry>
        </row>
 
@@ -8381,7 +8381,7 @@ SELECT TIMESTAMP '2001-02-16 20:38:40-05' AT TIME ZONE 'Asia/Tokyo' AT TIME ZONE
 </screen>
     The first example adds a time zone to a value that lacks it, and
     displays the value using the current <varname>TimeZone</varname>
-    setting.  The second example shifts the time stamp with time zone value
+    setting.  The second example shifts the timestamp with time zone value
     to the specified time zone, and returns the value without a time zone.
     This allows storage and display of values different from the current
     <varname>TimeZone</varname> setting.  The third example converts
@@ -8474,7 +8474,7 @@ SELECT LOCALTIMESTAMP;
     the intent is to allow a single transaction to have a consistent
     notion of the <quote>current</quote> time, so that multiple
     modifications within the same transaction bear the same
-    time stamp.
+    timestamp.
    </para>
 
    <note>
@@ -20171,7 +20171,7 @@ postgres=# SELECT * FROM pg_walfile_name_offset(pg_stop_backup());
         <literal><function>pg_last_xact_replay_timestamp()</function></literal>
         </entry>
        <entry><type>timestamp with time zone</type></entry>
-       <entry>Get time stamp of last transaction replayed during recovery.
+       <entry>Get timestamp of last transaction replayed during recovery.
         This is the time at which the commit or abort WAL record for that
         transaction was generated on the primary.
         If no transactions have been replayed during recovery, this function
@@ -21631,9 +21631,9 @@ SELECT convert_from(pg_read_binary_file('file_in_utf8.txt'), 'UTF8');
    </indexterm>
    <para>
     <function>pg_stat_file</function> returns a record containing the file
-    size, last accessed time stamp, last modified time stamp,
-    last file status change time stamp (Unix platforms only),
-    file creation time stamp (Windows only), and a <type>boolean</type>
+    size, last accessed timestamp, last modified timestamp,
+    last file status change timestamp (Unix platforms only),
+    file creation timestamp (Windows only), and a <type>boolean</type>
     indicating if it is a directory.  Typical usages include:
 <programlisting>
 SELECT * FROM pg_stat_file('filename');
diff --git a/doc/src/sgml/logicaldecoding.sgml b/doc/src/sgml/logicaldecoding.sgml
index 8db9686..01eacf7 100644
--- a/doc/src/sgml/logicaldecoding.sgml
+++ b/doc/src/sgml/logicaldecoding.sgml
@@ -536,7 +536,7 @@ typedef void (*LogicalDecodeBeginCB) (struct LogicalDecodingContext *ctx,
                                       ReorderBufferTXN *txn);
 </programlisting>
       The <parameter>txn</parameter> parameter contains meta information about
-      the transaction, like the time stamp at which it has been committed and
+      the transaction, like the timestamp at which it has been committed and
       its XID.
      </para>
     </sect3>
@@ -660,7 +660,7 @@ typedef void (*LogicalDecodeMessageCB) (struct LogicalDecodingContext *ctx,
                                         const char *message);
 </programlisting>
       The <parameter>txn</parameter> parameter contains meta information about
-      the transaction, like the time stamp at which it has been committed and
+      the transaction, like the timestamp at which it has been committed and
       its XID. Note however that it can be NULL when the message is
       non-transactional and the XID was not assigned yet in the transaction
       which logged the message. The <parameter>lsn</parameter> has WAL
diff --git a/doc/src/sgml/plpgsql.sgml b/doc/src/sgml/plpgsql.sgml
index ef1556b..6e3ace0 100644
--- a/doc/src/sgml/plpgsql.sgml
+++ b/doc/src/sgml/plpgsql.sgml
@@ -4855,7 +4855,7 @@ $$ LANGUAGE plpgsql;
      <application>PL/pgSQL</application> interpreter casts this
      string to the <type>timestamp</type> type by calling the
      <function>text_out</function> and <function>timestamp_in</function>
-     functions for the conversion.  So, the computed time stamp is updated
+     functions for the conversion.  So, the computed timestamp is updated
      on each execution as the programmer expects.  Even though this
      happens to work as expected, it's not terribly efficient, so
      use of the <literal>now()</literal> function would still be a better idea.
diff --git a/doc/src/sgml/ref/pgbench.sgml b/doc/src/sgml/ref/pgbench.sgml
index 7e8fc19..54a2f9b 100644
--- a/doc/src/sgml/ref/pgbench.sgml
+++ b/doc/src/sgml/ref/pgbench.sgml
@@ -1660,9 +1660,9 @@ END;
    <replaceable>script_no</replaceable> identifies which script file was used (useful when
    multiple scripts were specified with <option>-f</option> or <option>-b</option>),
    and <replaceable>time_epoch</replaceable>/<replaceable>time_us</replaceable> are a
-   Unix-epoch time stamp and an offset
+   Unix-epoch timestamp and an offset
    in microseconds (suitable for creating an ISO 8601
-   time stamp with fractional seconds) showing when
+   timestamp with fractional seconds) showing when
    the transaction completed.
    The <replaceable>schedule_lag</replaceable> field is the difference between the
    transaction's scheduled start time, and the time it actually started, in
@@ -1718,7 +1718,7 @@ END;
 
    where
    <replaceable>interval_start</replaceable> is the start of the interval (as a Unix
-   epoch time stamp),
+   epoch timestamp),
    <replaceable>num_transactions</replaceable> is the number of transactions
    within the interval,
    <replaceable>sum_latency</replaceable> is the sum of the transaction
diff --git a/doc/src/sgml/replication-origins.sgml b/doc/src/sgml/replication-origins.sgml
index a03ce76..aaa3705 100644
--- a/doc/src/sgml/replication-origins.sgml
+++ b/doc/src/sgml/replication-origins.sgml
@@ -61,7 +61,7 @@
   marked as replaying from a remote node (using the
   <link linkend="pg-replication-origin-session-setup"><function>pg_replication_origin_session_setup()</function></link>
   function). Additionally the <acronym>LSN</acronym> and commit
-  time stamp of every source transaction can be configured on a per
+  timestamp of every source transaction can be configured on a per
   transaction basis using
   <link linkend="pg-replication-origin-xact-setup"><function>pg_replication_origin_xact_setup()</function></link>.
   If that's done replication progress will persist in a crash safe
diff --git a/doc/src/sgml/trigger.sgml b/doc/src/sgml/trigger.sgml
index 67e1861..1bd69f2 100644
--- a/doc/src/sgml/trigger.sgml
+++ b/doc/src/sgml/trigger.sgml
@@ -335,7 +335,7 @@
     requirements to call the same function.  As an example, there
     could be a generalized trigger function that takes as its
     arguments two column names and puts the current user in one and
-    the current time stamp in the other.  Properly written, this
+    the current timestamp in the other.  Properly written, this
     trigger function would be independent of the specific table it is
     triggering on.  So the same function could be used for
     <command>INSERT</command> events on any table with suitable
diff --git a/doc/src/sgml/uuid-ossp.sgml b/doc/src/sgml/uuid-ossp.sgml
index b3b816c..db8871b 100644
--- a/doc/src/sgml/uuid-ossp.sgml
+++ b/doc/src/sgml/uuid-ossp.sgml
@@ -41,7 +41,7 @@
       <entry>
        <para>
         This function generates a version 1 UUID.  This involves the MAC
-        address of the computer and a time stamp.  Note that UUIDs of this
+        address of the computer and a timestamp.  Note that UUIDs of this
         kind reveal the identity of the computer that created the identifier
         and the time at which it did so, which might make it unsuitable for
         certain security-sensitive applications.
diff --git a/src/backend/utils/misc/guc.c b/src/backend/utils/misc/guc.c
index ed51da4..fac7a69 100644
--- a/src/backend/utils/misc/guc.c
+++ b/src/backend/utils/misc/guc.c
@@ -3534,7 +3534,7 @@ static struct config_string ConfigureNamesString[] =
 	},
 	{
 		{"recovery_target_time", PGC_POSTMASTER, WAL_RECOVERY_TARGET,
-			gettext_noop("Sets the time stamp up to which recovery will proceed."),
+			gettext_noop("Sets the timestamp up to which recovery will proceed."),
 			NULL
 		},
 		&recovery_target_time_string,
@@ -3916,7 +3916,7 @@ static struct config_string ConfigureNamesString[] =
 
 	{
 		{"TimeZone", PGC_USERSET, CLIENT_CONN_LOCALE,
-			gettext_noop("Sets the time zone for displaying and interpreting time stamps."),
+			gettext_noop("Sets the time zone for displaying and interpreting timestamps."),
 			NULL,
 			GUC_REPORT
 		},
diff --git a/src/backend/utils/misc/postgresql.conf.sample b/src/backend/utils/misc/postgresql.conf.sample
index 5ee5e09..94a5e0e 100644
--- a/src/backend/utils/misc/postgresql.conf.sample
+++ b/src/backend/utils/misc/postgresql.conf.sample
@@ -259,7 +259,7 @@
 				# (change requires restart)
 #recovery_target_name = ''	# the named restore point to which recovery will proceed
 				# (change requires restart)
-#recovery_target_time = ''	# the time stamp up to which recovery will proceed
+#recovery_target_time = ''	# the timestamp up to which recovery will proceed
 				# (change requires restart)
 #recovery_target_xid = ''	# the transaction ID up to which recovery will proceed
 				# (change requires restart)
diff --git a/src/include/catalog/pg_control.h b/src/include/catalog/pg_control.h
index ff98d9e..06fbe76 100644
--- a/src/include/catalog/pg_control.h
+++ b/src/include/catalog/pg_control.h
@@ -48,7 +48,7 @@ typedef struct CheckPoint
 	Oid			oldestXidDB;	/* database with minimum datfrozenxid */
 	MultiXactId oldestMulti;	/* cluster-wide minimum datminmxid */
 	Oid			oldestMultiDB;	/* database with minimum datminmxid */
-	pg_time_t	time;			/* time stamp of checkpoint */
+	pg_time_t	time;			/* timestamp of checkpoint */
 	TransactionId oldestCommitTsXid;	/* oldest Xid with valid commit
 										 * timestamp */
 	TransactionId newestCommitTsXid;	/* newest Xid with valid commit
@@ -125,7 +125,7 @@ typedef struct ControlFileData
 	 * System status data
 	 */
 	DBState		state;			/* see enum above */
-	pg_time_t	time;			/* time stamp of last pg_control update */
+	pg_time_t	time;			/* timestamp of last pg_control update */
 	XLogRecPtr	checkPoint;		/* last check point record ptr */
 
 	CheckPoint	checkPointCopy; /* copy of last check point record */
diff --git a/src/interfaces/ecpg/pgtypeslib/timestamp.c b/src/interfaces/ecpg/pgtypeslib/timestamp.c
index a7e0fe6..35697e2 100644
--- a/src/interfaces/ecpg/pgtypeslib/timestamp.c
+++ b/src/interfaces/ecpg/pgtypeslib/timestamp.c
@@ -854,7 +854,7 @@ PGTYPEStimestamp_defmt_asc(const char *str, const char *fmt, timestamp * d)
 }
 
 /*
-* add an interval to a time stamp
+* add an interval to a timestamp
 *
 *	*tout = tin + span
 *
@@ -913,7 +913,7 @@ PGTYPEStimestamp_add_interval(timestamp * tin, interval * span, timestamp * tout
 
 
 /*
-* subtract an interval from a time stamp
+* subtract an interval from a timestamp
 *
 *	*tout = tin - span
 *
-- 
2.7.4

